SUM(1)

NAME
sum - sum and count blocks in a file

SYNOPSIS
sum [-r] [file]

DESCRIPTION
Sum calculates and prints a 16-bit checksum for the named file, and also prints the number of blocks in the file. It is typically used to look for bad spots, or to validate a file communicated over some transmission line.

If the -r option is present, an alternate checksum algorithm is used.

SEE ALSO
cksum(1), wc(1)

DIAGNOSTICS
`Read error' is indistinguishable from end of file on most devices; check the block count.

NOTES
The default algorithm is unable to detect added or missing NUL bytes. The algorithm selected with -r may produce different results in different implementations. For these reasons, cksum(1) should be used in preference.